SoProfileElement(3)

NAME
SoProfileElement - The SoProfileElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoProfileElement.h>

Inherits SoAccumulatedElement.

  Public Types
enum Profile { START_FIRST, START_NEW, ADD_TO_CURRENT }

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
Public Member Functions inherited from SoAccumulatedElement
virtual SbBool matches (const SoElement *element) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual void print (FILE *file=stdout) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void add (SoState *const state, SoProfile *const profile)
static const SoNodeList & get (SoState *const state)
Static Public Member Functions inherited from SoAccumulatedElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoProfileElement ()
Protected Member Functions inherited from SoAccumulatedElement
virtual ~SoAccumulatedElement ()
void clearNodeIds (void)
void addNodeId (const SoNode *const node)
void setNodeId (const SoNode *const node)
void copyNodeIds (const SoAccumulatedElement *copyfrom)
virtual SoElement * copyMatchInfo (void) const
virtual void captureThis (SoState *state) const
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Protected Attributes
SoNodeList profiles
Protected Attributes inherited from SoAccumulatedElement
SbList< SbUniqueId > nodeIds
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoProfileElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoProfileElement::Profile
FIXME: write doc.

Constructor & Destructor Documentation

  SoProfileElement::~SoProfileElement (void ) [protected], [virtual]
The destructor.

Member Function Documentation

  SoType SoProfileElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoProfileElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoProfileElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoProfileElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoAccumulatedElement.

  void SoProfileElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoAccumulatedElement.

  void SoProfileElement::add (SoState *const state, SoProfile *const profile) [static]
Adds profile to the list of profiles.

  const SoNodeList & SoProfileElement::get (SoState *const state) [static]
Returns current list of profiles.

Member Data Documentation

  SoNodeList SoProfileElement::profiles [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.